Get an L7 Load Balancer

GET/v1/load_balancers/l7/{id}

Perform a GET request to the /v1/load_balancers/l7/{id} endpoint to retrieve details of an L7 balancer. Its ID has to be specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of a balancer.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/load_balancers/l7/K9b68neE"
{  "id": "K9b68neE",  "name": "name689",  "type": "l7",  "status": "pending",  "external_addresses": [    "101.0.0.46"  ],  "location_id": 709,  "redirect_http": false,  "geoip": false,  "geoip_enabled": false,  "store_logs": false,  "domains": [    "example-774.com"  ],  "vhost_zones": [    {      "id": "string76",      "ssl": false,      "http2": false,      "ports": [        365      ],      "domains": [        "example-774.com"      ],      "location_zones": [        {          "location": "/path7",          "redirect": false,          "upstream_id": "string75",          "upstream_path": "/path8"        }      ],      "http2_push_preload": false,      "proxy_request_headers": [],      "http_to_https_redirect": false    }  ],  "upstream_zones": [    {      "id": "string75",      "ssl": false,      "grpc": false,      "method": "least_conn",      "sticky": true,      "hc_path": "/",      "hc_fails": 1,      "hc_jitter": 3,      "hc_method": "GET",      "hc_passes": 3,      "upstreams": [        {          "ip": "10.0.8.4",          "port": 364,          "weight": 1,          "max_conns": 63000,          "max_fails": 0,          "fail_timeout": 30,          "status": "online"        }      ],      "hc_interval": 3000    }  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "cluster_id": null,  "shared_cluster": true,  "created_at": "2026-05-28T06:59:50Z",  "updated_at": "2026-05-28T06:59:51Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}